<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmVersion5 Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmVersion5 Interface

The following tables list the members exposed by IEdmVersion5.

# Public Properties

| Name | Description
--- | --- | ---
| Comment | Gets the comment that is entered during the check-in of this version.
| FileDate | Gets the modification date for this version.
| FileSize | Gets the file size for this version.
| HasRevision | Gets whether this version has one or more revisions.
| User | Gets the user who checked in this version.
| UserID | Gets the ID of the user who checked in this version.
| VersionDate | Gets the time when this version was created.
| VersionNo | Gets the version number of this version.

Top

# Public Methods

| Name | Description
--- | --- | ---
| GetFileCopy | Retrieves from the archive a copy of this version of a file and places it in the specified location.
| GetFirstRevisionPosition | Starts an enumeration of the revisions of this version.
| GetNextRevision | Gets the next revision set on this version in an enumeration.
| Rollback | Obsolete. Superseded by IEdmVersion6::Rollback2 .

Top

# See Also

####

IEdmVersion5 Interface
EPDM.Interop.epdm Namespace